SDXFrameWork 0.12 SDXFrameWork

- Main Page
- Related Pages
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Functions Variables Enumerations Enumerator Pages
Static Public Member Functions | List of all members
SDX::Drawing Class Reference

リソースを読み込まずに描画を行う関数群. More...

`#include <Drawing.h>`

## Static Public Member Functions
static Font & | GetFont ()
| デフォルトのフォントを取得する. More...
static void | SetDefaultFont (const char *フォント名, int 大きさ, int 行間=0, bool 高品質レンダリング=true)
| デフォルトのフォントを設定する. More...
static void | Line (const Point &始点, const Point &終点, const Color &色, int 太さ=1)
| 始点と終点を結ぶ直線を描画. More...
static void | Rect (const Rect &領域, const Color &色, bool 塗りつぶしフラグ=true)
| 左上の座標と大きさを指定して矩形を描画. More...
static void | Circle (const Circle &円形, const Color &色, int 太さ=0)
| 中心と半径を指定して円を描画. More...
static void | Oval (const Point &中心, int 幅, int 高さ, const Color &色, int 太さ=0)
| 中心と外接する四角形の大きさを指定して楕円を描画. More...
static void | Polygon (std::vector< Point > 頂点, const Color &色, int 太さ=1)
| 頂点を指定して多角形を描画. More...
static void | Triangle (const Point &中心座標, int 辺の長さ, double 角度, const Color &描画色, int 太さ=0)
| 正三角形を描画. More...
static void | Pixel (const Point &座標, const Color &色)
| 指定座標に点を描画. More...
static void | ImageFile (const Point &座標, const char *ファイル名, bool 透過フラグ=true)
| 画像を一時的にメモリに読み込んで描画. More...
static void | String (const Point &座標, const Color &色, const VariadicStream &描画する文字列)
| 文字を描画. More...

## Detailed Description

リソースを読み込まずに描画を行う関数群.

//Copyright © 2014 SDXFramework
//[License]GNU Affero General Public License, version 3
//[Contact]http://sourceforge.jp/projects/dxframework/
//色々描画してみる
bool SampleDrawing()
{
using namespace SDX;
System::Initialise("sample", 640, 480);
double angle = 0;
while (System::Update())
{
Drawing::String({ 10, 10 }, Color::White, "こんにちは");
Drawing::Line({ 10, 100 }, { 100, 150 }, Color::Blue, 3);
Drawing::Line({ 210, 100 }, { 100, 150 }, Color::Blue);
Drawing::Rect({ 50, 200, 50, 50 }, Color::Green,false);
Drawing::Rect({ 75, 225, 50, 50 }, Color::Green, true);
Screen::SetDrawMode({ 255, 255, 255, 128 } , BlendMode::Alpha);
Drawing::Circle({ 150, 200, 50 }, Color::Red );
Drawing::Circle({ 100, 200, 50 }, Color::Blue, 5);
Drawing::Triangle({ 200, 200 }, 50, angle, Color::White);
Drawing::Triangle({ 150, 200 }, 100, angle, Color::Green, 5);
Screen::SetDrawMode();
angle += 0.1;
if (Input::key.Return.on){ break;}//Enterで終了
}
System::End();
return true;
}

## Member Function Documentation

static Font& SDX::Drawing::GetFont | ( |  | ) |
| inline static

デフォルトのフォントを取得する.

static void SDX::Drawing::SetDefaultFont | ( | const char * | フォント名,
|  | int | 大きさ,
|  | int | 行間 = `0`,
|  | bool | 高品質レンダリング = `true`
| ) |  |
| inline static

デフォルトのフォントを設定する.

static void SDX::Drawing::Line | ( | const Point & | 始点,
|  | const Point & | 終点,
|  | const Color & | 色,
|  | int | 太さ = `1`
| ) |  |
| inline static

始点と終点を結ぶ直線を描画.

static void SDX::Drawing::Rect | ( | const Rect & | 領域,
|  | const Color & | 色,
|  | bool | 塗りつぶしフラグ = `true`
| ) |  |
| inline static

左上の座標と大きさを指定して矩形を描画.

static void SDX::Drawing::Circle | ( | const Circle & | 円形,
|  | const Color & | 色,
|  | int | 太さ = `0`
| ) |  |
| inline static

中心と半径を指定して円を描画.

太さに0を指定した場合塗りつぶし. ※太さが1以上の場合処理が重い

static void SDX::Drawing::Oval | ( | const Point & | 中心,
|  | int | 幅,
|  | int | 高さ,
|  | const Color & | 色,
|  | int | 太さ = `0`
| ) |  |
| inline static

中心と外接する四角形の大きさを指定して楕円を描画.

太さに0を指定した場合塗りつぶし. ※太さが1以上の場合処理が重い

static void SDX::Drawing::Polygon | ( | std::vector< Point > | 頂点,
|  | const Color & | 色,
|  | int | 太さ = `1`
| ) |  |
| inline static

頂点を指定して多角形を描画.

static void SDX::Drawing::Triangle | ( | const Point & | 中心座標,
|  | int | 辺の長さ,
|  | double | 角度,
|  | const Color & | 描画色,
|  | int | 太さ = `0`
| ) |  |
| inline static

正三角形を描画.

太さに0を指定した場合塗りつぶし. ※太さが1以上の場合処理が重い

static void SDX::Drawing::Pixel | ( | const Point & | 座標,
|  | const Color & | 色
| ) |  |
| inline static

指定座標に点を描画.

static void SDX::Drawing::ImageFile | ( | const Point & | 座標,
|  | const char * | ファイル名,
|  | bool | 透過フラグ = `true`
| ) |  |
| inline static

画像を一時的にメモリに読み込んで描画.

この処理は重いので、通常はImageクラスを利用する

static void SDX::Drawing::String | ( | const Point & | 座標,
|  | const Color & | 色,
|  | const VariadicStream & | 描画する文字列
| ) |  |
| inline static

文字を描画.

フォントはデフォルトでゴシック体